/* FONT IMPORT */
@import url('https://fonts.cdnfonts.com/css/mont');

/*  START OF MAIN CSS DECLARATIONS */
:root {
    font-family: 'Mont', sans-serif;
}

html, body {
    font-family: 'Mont', sans-serif;
    line-height: 1.6;
    margin: 0;
    padding: 0;
    overflow-x: hidden!important; 
}

h1 {
    text-align: center;
    margin-bottom: 30px;
}

p {
    text-align: justify;
}

.top-menu {
    background-color: #1b172d;
    color: white;
    padding: 10px 0;
    margin-top: 0px;
}

.footer-menu {
    background-color: #1b172d;
    color: white;
    height: 100px;
    padding: 2% 0;
    width: 100%; 
    margin-bottom: 0px;
}

.container {
    max-width: 800px;
    margin: 0 auto;
    padding: 2rem;
    background-color: #fff;
    border-radius: 4px;
}

header {
    width: 100%;
    background-color: #1b172d;
    color: white;
    text-align: center;
    padding: 0;
}
/* END OF MAIN CSS DECLARATIONS */

/* START OF TEXT DECORATION RULES */

.two-columns {
    display: flex;
    gap: 20px;
}

.two-columns > div {
    flex: 1;
    border-radius: 7px;
    border: 1px solid #ccc;
    padding: 10px;
    transition: transform 0.3s ease;
    background-color: #41376b;
    color: #F5F5F5;
}

.two-columns > div:hover {
    transform: scale(1.01); 
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.3);
}

.important-note {
    border-radius: 7px;
    border: 1px solid #ccc;
    padding: 10px;
    transition: transform 0.3s ease;
    background-color: #ff2257;
    color: #F5F5F5;
}
/* END OF TEXT DECORATION RULES */

/* BACK TO TOP BUTTON */
.go-top {
	position: fixed;
	bottom: 2em;
	right: 2em;
	text-decoration: none;
	color: black;
	background-color: #caff00;
	font-size: 12px;
	padding: 1em;
	display: none;
	font-weight: bold;
	border-radius: 7px;
}

.go-top:hover {
	background-color: #ff2257;
	color: #F5F5F5;
	font-weight: bold;
}
/* END OF BACK TO TOP BUTTON */

/* START OF CSS DECLARATIONS FOR THE ORDER FORM */
/* Main rules*/
form {
    background-color: #41376b;
    padding: 20px;
    border-radius: 7px;
    color:white;
}

.order-form-start {
    color: #1b172d;
}

label {
    font-weight: 500;
    color: #F5F5F5;
}

/* Step 1 */
#step-one-title {
    text-decoration: underline #F5F5F5;
}

.quantity-selection {
    display: flex;
    align-items: center;
    justify-content: space-between;
    margin-bottom: 15px;
}

.quantity-controls {
    display: flex;
    align-items: center;
}

.quantity-button {
    background-color: #caff00;
    color: black;
    padding: 9px 15px;
    border: none;
    cursor: pointer;
}

.minus {
    border-top-left-radius: 7px;
    border-bottom-left-radius: 7px;
}

.plus {
    border-top-right-radius: 7px;
    border-bottom-right-radius: 7px;
}

.quantity-button:hover {
    background-color: #ff2257;
    color: #F5F5F5;
    animation-duration: 2s;
    animation-iteration-count: infinite;
    transform-origin: center;
    -ms-transform: scale(1.5);
    -webkit-transform: scale(1.5);
    transform: scale(1.1);
}

input[type="number"] {
    width: 50px;
    padding: 8px;
    border: 1px solid #F5F5F5;
    text-align: center;
}

h3 {
    margin-top: 5px;
    margin-bottom: 15px;
    color: #F5F5F5;
}

.promo {
    margin-top: 25px;
    vertical-align: middle;
    float: right;
    display: flex;
    align-items: center;
}

#mr10px {
    margin-right: 10px;
}

#promo-code {
    width: 80px;
    padding: 8px;
    border: 1px solid #F5F5F5;
    text-align: center;
    border-top-left-radius: 7px;
    border-bottom-left-radius: 7px;
}

#step-one-submit {
    background-color: #caff00;
    color: black;
    padding: 9px 15px;
    border: none;
    cursor: pointer;
    border-top-right-radius: 7px;
    border-bottom-right-radius: 7px;
}

#step-one-submit:hover {
    background-color: #ff2257;
    color: #F5F5F5;
    animation-duration: 2s;
    animation-iteration-count: infinite;
    transform-origin: center;
    -ms-transform: scale(1.5);
    -webkit-transform: scale(1.5);
    transform: scale(1.1);
}

#total-price-display {
    float: right;
}

#ttl {
    font-size: 1rem;
}

#total-price {
    float: right;
}

#proceed-button {
    position: relative;
    left: 40%;
    background-color: #ff2257;
    color: #F5F5F5;
    padding: 9px 15px;
    border: none;
    cursor: pointer;
    border-radius: 7px;
}

#proceed-button:hover {
    background-color: #caff00;
    color: black;
    animation-duration: 2s;
    animation-iteration-count: infinite;
    transform-origin: center;
    -ms-transform: scale(1.5);
    -webkit-transform: scale(1.5);
    transform: scale(1.1);
}

/* Step 2 */
#step-two {
    display: none;
}

.customer-details {
    margin-bottom: 0px;
    text-decoration: underline #F5F5F5;
}

.step-two-customer-details {
    display: flex;
    align-items: center;
    justify-content: space-between;
    margin-bottom: 5px;
}

/* Start of Billing address */
#full-name {
    width: 40%;
    padding: 8px;
    border: 1px solid #F5F5F5;
    text-align: start;
    border-radius: 7px;
}

#email {
    width: 40%;
    padding: 8px;
    border: 1px solid #F5F5F5;
    text-align: start;
    border-radius: 7px;
}

#phone {
    width: 40%;
    padding: 8px;
    border: 1px solid #F5F5F5;
    text-align: start;
    border-radius: 7px
}

#company{
    width: 40%;
    padding: 8px;
    border: 1px solid #F5F5F5;
    text-align: start;
    border-radius: 7px
}

/* Start of Shipping address */
.step-two-shipping-details {
    display: flex;
    align-items: center;
    justify-content: space-between;
    margin-bottom: 5px;
}

#street {
    width: 40%;
    padding: 8px;
    border: 1px solid #F5F5F5;
    text-align: start;
    border-radius: 7px
}

#city {
    width: 40%;
    padding: 8px;
    border: 1px solid #F5F5F5;
    text-align: start;   
    border-radius: 7px
}

#state {
    width: 40%;
    padding: 8px;
    border: 1px solid #F5F5F5;
    text-align: start;    
    border-radius: 7px
}

#postal-code {
    width: 40%;
    padding: 8px;
    border: 1px solid #F5F5F5;
    text-align: start;    
    border-radius: 7px
}

#country {
    width: 40%;
    padding: 8px;
    border: 1px solid #F5F5F5;
    text-align: start;   
    border-radius: 7px
}

/* End of Shipping address */

/* Start of Payment methods */

.payment-methods-field {
    display: flex;
    align-items: center;
    justify-content: space-between;
    margin-bottom: 5px;    
}

#payment-method {
    width: 43%;
    padding: 8px;
    border: 1px solid #F5F5F5;
    text-align: start;   
    border-radius: 7px    
}

.terms-and-conditions {
    float: right;
}

/* Start of Back to step One & Order buttons */
.back-order-btns {
    display: flex;
    align-items: center;
    justify-content: space-evenly;
    margin-bottom: 5px;
}

#back-button {
    position: relative;
    background-color: #ff2257;
    color: #F5F5F5;
    padding: 9px 15px;
    border: none;
    cursor: pointer;
    border-radius: 7px;    
}

#back-button:hover {
    background-color: #caff00;
    color: black;
    animation-duration: 2s;
    animation-iteration-count: infinite;
    transform-origin: center;
    -ms-transform: scale(1.5);
    -webkit-transform: scale(1.5);
    transform: scale(1.1);
}

#submit-order-button {
    position: relative;
    background-color: #ff2257;
    color: #F5F5F5;
    padding: 9px 15px;
    border: none;
    cursor: pointer;
    border-radius: 7px;     
}

#submit-order-button:hover {
    background-color: #caff00;
    color: black;
    animation-duration: 2s;
    animation-iteration-count: infinite;
    transform-origin: center;
    -ms-transform: scale(1.5);
    -webkit-transform: scale(1.5);
    transform: scale(1.1);
}
/* END OF CSS DECLARTIONS FOR THE ORDER FORM */

/* START OF CSS DECLARATIONS FOR RESPONSIVE MODE */
@media (max-width: 768px) {
    #proceed-button {
        left: 30%;
    }
    #platinum {
        border-radius: 0px;
    }
    #gold {
        border-radius: 0px;
    }
    #silver {
        border-radius: 0px;
    }
    #bronze {
        border-radius: 0px;
    }    
    #people-choice {
        border-radius: 0px;
    }
    #promo-code {
        border-top-right-radius: 0px;
        border-bottom-right-radius: 0px;
        border-top-left-radius: 7px;
        border-bottom-left-radius: 7px;
    }
}

@media (min-width: 769px) {
    form {
        margin: 0 auto;
        width: 600px;
    }
}

@media screen and (max-width: 600px) {
    header h1 {
            font-size: 1.5rem;
        }
    .container {
        padding: 1rem;
    }
    h2 {
        font-size: 1.2rem;
    }
    form input[type="submit"] {
        padding: 0.4rem 0.8rem;
    }
}





